Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#50733 - [emacs] Does not build with glibc 2.24

Attached to Project: Arch Linux
Opened by Alad Wenter (Alad) - Saturday, 10 September 2016, 22:50 GMT
Last edited by Jürgen Hötzel (juergen) - Sunday, 18 September 2016, 14:50 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Jürgen Hötzel (juergen)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

The emacs package fails to build from source due to a change in glibc 2.24:

https://sourceware.org/ml/libc-alpha/2016-07/msg00606.html

Debian backported an upstream commit to the emacs 24.5 branch, see:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=833727
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=833727#47

Additional info:
* package version(s)

emacs 24.5-4

* config and/or log files etc.

Steps to reproduce:

cd /var/abs/extra/emacs/
makepkg -sir
This task depends upon

Closed by  Jürgen Hötzel (juergen)
Sunday, 18 September 2016, 14:50 GMT
Reason for closing:  Fixed
Additional comments about closing:  Fixed in emacs 25.1-1

Loading...